List post approvals
curl --request GET \
--url https://app.tryordinal.com/api/v1/posts/{postId}/approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tryordinal.com/api/v1/posts/{postId}/approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tryordinal.com/api/v1/posts/{postId}/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"approvals": [
{
"id": "550e8400-e29b-41d4-a716-446655440200",
"status": "Requested",
"isBlocking": true,
"message": "Please review the messaging before we publish",
"dueDate": "2026-01-14T17:00:00.000Z",
"approvedAt": null,
"createdAt": "2026-01-05T10:30:00.000Z",
"user": {
"id": "550e8400-e29b-41d4-a716-446655440011",
"email": "jane.smith@example.com",
"firstName": "Jane",
"lastName": "Smith",
"createdAt": "2025-01-01T00:00:00.000Z"
},
"requestedBy": {
"id": "550e8400-e29b-41d4-a716-446655440010",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"createdAt": "2025-01-01T00:00:00.000Z"
}
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}Approvals
List post approvals
List all approval requests for a specific post
GET
/
posts
/
{postId}
/
approvals
List post approvals
Was this page helpful?
⌘I